> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save a category

> Save a new (or update an existing) category



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/expenses/category
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/expenses/category:
    post:
      tags:
        - Expenses
      summary: Save a category
      description: Save a new (or update an existing) category
      operationId: postCategory
      requestBody:
        description: category object
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYExpenseCategoryDTOV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYExpenseCategoryDTOV5:
      properties:
        category:
          $ref: '#/components/schemas/ExpenseCategoryDTOV5'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    ExpenseCategoryDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Id of the category, required when updating existing category
          format: int64
        name:
          type: string
          description: >-
            Name of the business-specific expense category, required to create a
            new category
          example: Accounting / Tax
        precedence:
          type: number
          description: >-
            Value representing category's precedence, useful for displaying
            those categories most pertinent to the user. A higher precedence
            value means the category is more pertinent.
          format: double
          readOnly: true
        hasChilds:
          type: boolean
          description: Whether this category has children or not
          readOnly: true
        parentCategoryId:
          type: integer
          description: >-
            Parent id for this category, required to create a new category. Note
            the parent category must be a top-level category, i.e. parent
            category cannot have a parent
          format: int64
        status:
          type: string
          description: Status of this category
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
        accountId:
          type: integer
          description: >-
            Id of the account associated with this category, required to create
            a new category. Accounts for categories can be fetched from
            /accounting/glAccounts with type equal to EXPENSE or COGS
          format: int64
        systemGenerated:
          type: boolean
          description: >-
            Whether or not this category was generated by Tight. These
            categories cannot be modified.
          readOnly: true
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````